XI_CREATE_IMAGE(3)

FUNCTION
xi_create_image - Create an XImage structure for a window.

SYNOPSIS
#include <karma_xi.h>

XImage * xi_create_image

(Display *display, Window window, unsigned int image_width, unsigned int image_height, flag *share)

DESCRIPTION
Create an XImage structure for a window.

display
    The X display.

window
    The X window ID.

image_width
    The width of the desired image in pixels.

image_height
    The height of the desired image in pixels.

share
    If this points to the value TRUE, the routine will attempt to use a shared memory segment for the image data (as per the MIT-Shared Memory Extension to the X Protocol). If the routine did in fact allocate a shared memory segment, the value of TRUE will be written here, else FALSE will be written here.

RETURN VALUE
A pointer to the image structure on success, else NULL.

Multi-threading Level
Unsafe.

NOTE
Do NOT request a shared image if the routine <-xi_check_shared_images_available-> did not return TRUE.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/